package cn.cecep.talroad.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum AmProblemAuditResultEnum {
    PASS("1","通过"),
    UN_PASS("2","不通过"),
    ;

    private String value;
    private String desc;

    public static AmProblemAuditResultEnum valueOfByValue(String value){
        for (AmProblemAuditResultEnum anEnum : values()) {
            if (anEnum.getValue().equals(value)) {
                return anEnum;
            }
        }
        throw new IllegalArgumentException("no enum found:"+value);
    }

}
